Name:           perl-DBIx-Connector
Version:        0.53
Release:        0.beta1%{?dist}
Summary:        DBIx::Connector Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Connector/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/DBIx-Connector-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006002
BuildRequires:  perl(DBI) >= 1.605
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::MockModule) >= 0.05
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Pod::Coverage) >= 1.06
Requires:       perl(DBI) >= 1.605
Requires:       perl(Test::Pod) >= 1.41
Requires:       perl(Test::Pod::Coverage) >= 1.06
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
DBIx::Connector provides a simple interface for fast and safe DBI
connection and transaction management. Connecting to a database can be
expensive; you don't want your application to re-connect every time you
need to run a query. The efficient thing to do is to hang on to a database
handle to maintain a connection to the database in order to minimize that
overhead. DBIx::Connector lets you do that without having to worry about
dropped or corrupted connections.

%prep
%setup -q -n DBIx-Connector-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 31 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.53-1
- First build using cpanspec
